@font-face {
    font-family: 'Montserrat-Black';
    src: url('../fonts/montserrat/Montserrat-Black.ttf')
}

@font-face {
    font-family: 'Montserrat-SemiBold';
    src: url('../fonts/montserrat/Montserrat-SemiBold.ttf')
}

@font-face {
    font-family: 'Roboto-Thin';
    src: url('../fonts/roboto/Roboto-Thin.ttf');
}

@font-face {
    font-family: 'Roboto-Light';
    src: url('../fonts/roboto/Roboto-Light.ttf')
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/roboto/Roboto-Regular.ttf');
}

body {
    overflow: hidden;
    height: 100%;
}

.site-header {
    font-family: 'Roboto-Thin';
}

.page-header {
    font-family: 'Roboto-Light';
}

.content-container {
    overflow: none;
    height: calc(100vh - 64px);
    margin: 0;
}

#sidebar-container {
    height: calc(100vh - 64px);
    padding: 0;
}

.nav-wrapper {
    margin-left: 1.25%;
}

#hiveqore-logo {
    display: inline-block;
    vertical-align: middle;
}

#logo-container {
    margin-left: 12px;
}

@media only screen and (max-width : 992px) and  (min-width : 421px) {
    .content-container {
        padding-left: 0px;
        padding: 1%;
    }

    #logo-container {
        margin-left: 25%;
    }

    .responsive-cell {
        display: none;
    }

    .table-container tbody {
        display: block;
        max-height: 55vh !important;
        overflow: auto;
    }

    #filter-sidenav-slideout {
        width: 400px;
    }
}

#sidebar-container > ul > li {
    padding: 5%;
}

#sidebar-container > ul > li:hover,
#sidebar-container > ul > li.active {
    background-color: teal;
}

#sidebar-container > ul > li.divider {
    padding: 0;
}

#filter-sidenav-slideout {
    width: 500px;
}

.filter-sidenav-container {
    font-family: 'Roboto-Light';
    font-size: 13px;
    padding: 2.5%;
}

.filter-sidenav-container span,
.filter-sidenav-container label,
.filter-sidenav-container input {
    line-height: 14px;
}

.table-container {
    padding: 1.5%;
}

.table-container tbody {
    display: block;
    max-height: 65vh;
    overflow: auto;
}

.table-container thead, tbody tr {
    display: table;
    width: 100%;
    table-layout: fixed;
}

.requests-table th,
.requests-table td {
	font-size: 12px;
}

[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
	position: relative;
	display: none;
}

.table-container > table {
    font-size: 13px;
}

.request-chkbox {
    pointer-events: all !important;
}

.hidden-input {
    display: none;
}

#add-modal {
    overflow-y: visible;
    overflow: auto;
    height: 67.5%;
}

#location-validation-msg {
    display: none;
}

#request-details-modal {
    height: 70%;
}

#request-details-modal .materialize-textarea {
    font-size: 13px;
}

.filter-label {
    font-size: 12px; 
    text-align: right;
}

.validation-loader-container {
    padding: 1%;
    margin-left: 2%;
}

.validation-loader-container .preloader-wrapper {
    width: 24px;
    height: 24px; 
}

.validation-loader-container .validation-text {
    font-size: 12px;
}

.region-select-wrapper .select-wrapper .dropdown-content > li > span {
    font-size: 11px;
}

.province-select-wrapper .select-wrapper .dropdown-content > li > span,
.city-select-wrapper .select-wrapper .dropdown-content > li > span,
.select-wrapper .dropdown-content > li > span {
    font-size: 12px;
}

.region-select-wrapper .select-wrapper .dropdown-trigger {
    font-size: 12px;
}

.province-select-wrapper .select-wrapper .dropdown-trigger,
.city-select-wrapper .select-wrapper .dropdown-trigger {
    font-size: 13px;
}

.select-dropdown {
    top: 0;
    max-height: 200px;
    overflow: auto;
}

/*
 FILTER 
*/
.sidenav-close:hover,
.sidenav-trigger:hover {
    cursor: pointer;
}

.dropdown-content > li > a {
    font-size: 12px;
}

.toolbar {
    padding: 0.5%;
}

.filter-div, .filter-div .select-wrapper .select-dropdown,
.filter-div .dropdown-content > li > span {
    font-size: 12px;
}

.filter-div {
    text-align: right;
}

#overview-search-bar {
    font-size: 13px;
    text-align: right;
}

#filter-collapsible {
    border-top: 0px;
}

#filter-header {
    border-bottom: 0px;
}

#filter-collapsible-body .input-field > input, 
#filter-collapsible-body .input-field .select-wrapper > input {
    font-size: 12px;
}

#request-details-modal input,
#request-details-modal textarea {
    color: black;
}

.toolbar-btn {
    margin: 2.5px;
}

/*
 TABLE
*/

/*
 SCROLLBARS
*/
::-webkit-scrollbar {
  width: 7px;
  height: 7px;
}
::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
::-webkit-scrollbar-thumb {
  background: #009688;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-thumb:hover {
  background: #009688;
}
::-webkit-scrollbar-thumb:active {
  background: #00695c;
}
::-webkit-scrollbar-track {
  background: #f3f3f3;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-track:hover {
  background: #f3f3f3;
}
::-webkit-scrollbar-track:active {
  background: #d3d3d3;
}
::-webkit-scrollbar-corner {
  background: transparent;
}